#version 330

uniform vec3 uLight;


in vec3 vColor;
in vec3 vNormal;
in vec4 vPosition; 

out vec4 fragColor;


void main()
{
  vec3 tolight = normalize(uLight - vec3(vPosition));
  vec3 normal = normalize(vNormal);		
  float diffuse = max(0.0, dot(normal, tolight));
  vec3 intensity = vColor * diffuse;
  fragColor = vec4(intensity.x, intensity.y, intensity.z, 1.0);	
}
