#version 330

uniform mat4 uModelViewMatrix;
uniform mat4 uNormalMatrix;
uniform mat4 uProjMatrix;

in vec3 aColor;
in vec4 aNormal;
in vec4 aVertex;

out vec3 vColor;
out vec3 vNormal;
out vec4 vPosition;



void main(){
  vColor = aColor;
  vPosition = uModelViewMatrix * aVertex;
  vec4 normal = vec4(aNormal.x, aNormal.y, aNormal.z, 0.0);
  vNormal      = vec3(uNormalMatrix * normal);	  
  gl_Position = uProjMatrix * vPosition;
}


